# PhysicalKeyboard | simple-keyboard
On-screen Javascript Virtual Keyboard

    import PhysicalKeyboard from 'simple-keyboard/src/lib/services/PhysicalKeyboard.js'

public class | source

# PhysicalKeyboard

Physical Keyboard Service

## Constructor Summary

Public Constructor
public | constructor () Creates an instance of the PhysicalKeyboard service |

## Member Summary

Public Members
public | simpleKeyboardInstance : object |

## Method Summary

Public Methods
public | getSimpleKeyboardLayoutKey (event: object): * Transforms a KeyboardEvent's "key.code" string into a simple-keyboard layout format |
public | initKeyboardListener () Initializes key event listeners |

## Public Constructors

### public constructor() source

Creates an instance of the PhysicalKeyboard service

## Public Members

### public simpleKeyboardInstance: object source

## Public Methods

### public getSimpleKeyboardLayoutKey(event: object): * source

Transforms a KeyboardEvent's "key.code" string into a simple-keyboard layout format

#### Params:

Name | Type | Attribute | Description
event | object |  | The KeyboardEvent

#### Return:

*

### public initKeyboardListener() source

Initializes key event listeners